xapian-core 1.4.24

Public Member Functions | List of all members
Xapian::InvalidArgumentError Class Reference

InvalidArgumentError indicates an invalid parameter value was passed to the API. More...

`#include <error.h>`

Inheritance diagram for Xapian::InvalidArgumentError:
[legend]

## Public Member Functions
| InvalidArgumentError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor.
| InvalidArgumentError (const std::string &msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::Error
const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

InvalidArgumentError indicates an invalid parameter value was passed to the API.

## Constructor & Destructor Documentation

## ◆ InvalidArgumentError() [1/2]

Xapian::InvalidArgumentError::InvalidArgumentError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0`
| ) |  |
| inline explicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## ◆ InvalidArgumentError() [2/2]

Xapian::InvalidArgumentError::InvalidArgumentError | ( | const std::string & | msg_,
|  | int | errno_
| ) |  |
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h